%define	name	xmms
%define	version	1.2.10j
%define	release	b3
%define	serial	1
#%define	prefix	/usr
%define	prefix	/opt/xmms

## Check to see if libGL is installed. Build xmms-gl if it is.
#%define withGL	%(if [ -z "`rpm -q --whatprovides libGL.so.1 2>/dev/null`" ]; then echo 0; else echo 1; fi)

## Check to see if libmikmod is installed. Build xmms-mikmod if it is.
#%define withmm	%(if [ -z "`rpm -q --whatprovides libmikmod.so.2 2>/dev/null`" ]; then echo 0; else echo 1; fi)
#%define wmmdev	%(if [ -z "`rpm -q --whatprovides $(/usr/bin/which libmikmod-config) 2>/dev/null`" ]; then echo 0; else echo 1; fi)

## Check to see if libvorbisfile is installed.  Build xmms-vorbis if it is.
#%define withvorbis %(if [ -z "`rpm -q --whatprovides libvorbisfile.so.0 2>/dev/null`" ]; then echo 0; else echo 1; fi)
#%define withvorbis 0
# for avoid error, up line

## Funky hack to get package names that provide libmikmod and libmikmod-config
## Becuase of the differing package names between redhat, mandrake, etc.
#%if %{withmm} == 1
#%define mikmod	%(rpm -q --qf '%{NAME}' --whatprovides libmikmod.so.2)
#%if %{wmmdev} == 1
#%define mmdev	%(rpm -q --qf '%{NAME}' --whatprovides $(/usr/bin/which libmikmod-config))
#%endif
#%endif

#%define gnomedatadir %(gnome-config --datadir 2> /dev/null || echo "/usr/share")
#%define gnomesysconfdir %(gnome-config --sysconfdir 2> /dev/null || echo "/etc")

Summary:	XMMS - Multimedia player for the X Window System.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/Multimedia
Vendor:		XMMS Development Team <bugs@xmms.org>
Url:		http://www.xmms.org/
Source:		%{name}-%{version}.tar.bz2
Source2:	xmms.xpm
Source3:	xmms.desktop
#Patch1:		xmms-1.2.6-audio.patch
Patch2:		xmms-1.2.6-lazy.patch
#Patch3:		xmms-1.2.7-kde.patch
#Patch4:		xmmsarts-0.4-nocmallocc.patch
#Patch5:		xmms-1.2.7-dlopen.patch
#Patch6:		xmms-1.2.7-default-skin.patch
#Patch7:		xmms-1.2.7-filebrowser.patch
#Patch8:		xmms-1.2.7-fixed-sm.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	x11amp, x11amp0.7-1-1
Requires:	gtk+ >= 1.2.2
#BuildRequires:	arts-devel >= 1.0.1 gtk+-devel esound-devel mikmod
BuildRequires:	gtk+-devel esound-devel
#BuildRequires:	/usr/bin/automake-1.4 /usr/bin/autoconf-2.13
#Obsoletes:	x11amp0.7-1-1 x11amp xmms-esd xmms-gl xmms-mikmod xmms-gnome
BuildArchitectures: i586


%description
X MultiMedia System is a sound player written from scratch. Since it
uses the WinAmp GUI, it can use WinAmp skins. It can play mp3s, mods, s3ms,
and other formats. It now has support for input, output, general, and
visualization plugins.

%package	devel
Summary:	XMMS - Static libraries and header files.
Group:		Applications/Multimedia
Obsoletes:	x11amp-devel
Requires:	%{name} = %{version}, glib-devel >= 1.2.2, gtk+-devel >= 1.2.2

%description	devel
Static libraries and header files required for compiling xmms plugins.

#%package	esd
#Summary:	XMMS - Output plugin for use with the esound package.
#Group:		Applications/Multimedia
#Requires:	%{name} = %{version}
#Obsoletes:	x11amp-esd
#Requires:	esound >= 0.2.8

#%description	esd
#Output plugin for xmms for use with the esound package

#%package	gnome
#Summary:	XMMS - applet for controlling xmms from the GNOME panel.
#Group:		Applications/Multimedia
#Requires:	%{name} = %{version}
#Obsoletes:	x11amp-gnome
#Requires:	gnome-libs >= 1.0.0

#%description	gnome
#GNOME applet for controlling xmms from the GNOME panel

#%if %{withmm} == 1
#%package	mikmod
#Summary:	XMMS - Input plugin to play MODs.
#Group:		Applications/Multimedia
#Obsoletes:	x11amp-mikmod
#Requires:	%{name} = %{version}
#Requires:	%{mikmod} >= 3.1.6
#%if %{wmmdev} == 1
#BuildPrereq:	%{mmdev}
#%else
#BuildPrereq:	/usr/bin/libmikmod-config
#%endif

#%description	mikmod
#Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc)
#%endif

#%if %{withvorbis} == 1
#%package	vorbis
#Summary:	XMMS - Input plugin to play OGGs
#Group:		Applications/Multimedia
#Requires:	%{name} = %{version}
#Requires:	libogg >= 1.0rc3
#Requires:	libvorbis >= 1.0rc3
#BuildPrereq:	libogg-devel
#BuildPrereq:	libvorbis-devel

#%description	vorbis
#Input plugin for XMMS to play Ogg Vorbis files (.ogg).
#%endif

#%if %{withGL} == 1
#%package 	gl
#Summary:	XMMS - Visualization plugins that use the Mesa3d library.
#Group:		Applications/Multimedia
#Requires:	%{name} = %{version}
#Obsoletes:	xmms-mesa

#%description	gl
#Visualization plugins that use the Mesa3d library.
#%endif


%prep
%setup -q
#%setup -q -a 4
#%patch1 -p1 -b .audio
%patch2 -p1 -b .lazy
#%patch3 -p1 -b .kde
#%patch4 -p1 -b .nocmallocc
#%patch5 -p1 -b .dlopen
#%patch6 -p1 -b .default-skin
#%patch7 -p1 -b .filebrowser
#%patch8 -p1 -b .fixed-sm


%build
export CFLAGS="${RPM_OPT_FLAGS}" CPPFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}";
unset LINGUAS || :;

./configure --prefix=%{prefix};
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}%{prefix} \
	sysconfdir=${RPM_BUILD_ROOT}/etc \
	GNOME_DATADIR=${RPM_BUILD_ROOT}%{gnomedatadir} \
	GNOME_SYSCONFDIR=${RPM_BUILD_ROOT}%{gnomesysconfdir} install

# Strip binaries. But, not plugins.
strip --strip-unneeded ${RPM_BUILD_ROOT}%{prefix}/bin/*xmms;

# Install icons.
mkdir -p ${RPM_BUILD_ROOT}/usr/share/pixmaps/mini
install -m 644 xmms/xmms_logo.xpm \
	${RPM_BUILD_ROOT}/usr/share/pixmaps/xmms_logo.xpm
install -m 644 xmms/xmms_mini.xpm \
	${RPM_BUILD_ROOT}/usr/share/pixmaps/mini/xmms_mini.xpm
install -m 644 %{SOURCE2} \
	${RPM_BUILD_ROOT}/usr/share/pixmaps/

# Install wmconfig file
mkdir -p ${RPM_BUILD_ROOT}/etc/X11/wmconfig
install -m 644 xmms/xmms.wmconfig \
	${RPM_BUILD_ROOT}/etc/X11/wmconfig/xmms

# Install applnk file
##mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Multimedia/
##install -m 644 %{SOURCE3} \
##	${RPM_BUILD_ROOT}/etc/X11/applnk/Multimedia/
mkdir -p ${RPM_BUILD_ROOT}/usr/share/applications/
install -m 644 %{SOURCE3} \
	${RPM_BUILD_ROOT}/usr/share/applications/

# unpackaged files
rm -f %{buildroot}/%{prefix}/lib/libxmms.la


%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/etc/X11/wmconfig/xmms
##/etc/X11/applnk/Multimedia/xmms.desktop
/usr/share/applications/xmms.desktop
%{prefix}/bin/xmms
%{prefix}/bin/wmxmms
%{prefix}/lib/libxmms.so.*
#%{prefix}/lib/xmms/Input/libcdaudio*
#%{prefix}/lib/xmms/Input/libmpg123*
#%{prefix}/lib/xmms/Input/libtonegen*
#%{prefix}/lib/xmms/Input/libwav*
#%{prefix}/lib/xmms/Output/libOSS*
#%{prefix}/lib/xmms/Output/libdisk_writer*
#%{prefix}/lib/xmms/General/*
#%{prefix}/lib/xmms/Effect/*
#%{prefix}/lib/xmms/Visualization/libbscope*
#%{prefix}/lib/xmms/Visualization/libsanalyzer*
%dir %{prefix}/lib/xmms
%{prefix}/lib/xmms/Effect
%{prefix}/lib/xmms/General
%{prefix}/lib/xmms/Input
%{prefix}/lib/xmms/Output
%{prefix}/lib/xmms/Visualization
%{prefix}/share/xmms/*
%{prefix}/man/man1/*
#/usr/share/locale/*/LC_MESSAGES/xmms.mo
%{prefix}/share/locale/*/LC_MESSAGES/xmms.mo
/usr/share/pixmaps/xmms_logo.xpm
/usr/share/pixmaps/mini/xmms_mini.xpm

#%{_datadir}/applications/*
#%{_datadir}/pixmaps/xmms.xpm
#%{_datadir}/pixmaps/xmms_logo.xpm
#%{_datadir}/pixmaps/mini/xmms_mini.xpm
#%dir %{_datadir}/xmms
#%{_datadir}/xmms/*.xpm
#%{_mandir}/man1/[wx]*
#%{_datadir}/xmms/Skins

%files devel
%defattr(-, root, root)
%{prefix}/bin/xmms-config
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.a
%{prefix}/include/*
%{prefix}/share/aclocal/xmms.m4

#%files esd
#%defattr(-, root, root)
#%{prefix}/lib/xmms/Output/libesdout*

#%files gnome
#%defattr(-, root, root)
#%{prefix}/bin/gnomexmms
#%{gnomesysconfdir}/CORBA/servers/gnomexmms.gnorba
#%{gnomedatadir}/applets/Multimedia/gnomexmms.desktop

#%if %{withmm} == 1
#%files mikmod
#%defattr(-, root, root)
#%{prefix}/lib/xmms/Input/libmikmod*
#%endif

#%if %{withvorbis} == 1
#%files vorbis
#%defattr(-, root, root)
#%{prefix}/lib/xmms/Input/libvorbis*
#%endif

#%if %{withGL} == 1
#%files gl
#%defattr(-, root, root)
#%{prefix}/lib/xmms/Visualization/libogl_spectrum*
#%endif


##
## change log
##

%changelog
* Sat Apr 17 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up tp xmms-1.2.10j_20040415.tar.bz2
* Sun Mar 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up tp xmms-1.2.10j_20040302.tar.bz2
* Tue Mar 2 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up tp xmms-1.2.10j_20040229.tar.bz2
* Wed Feb 4 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed KDE Menu for KDE-3.2
* Sat Jan 31 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up tp xmms-1.2.9j_20040131.tar.bz2
* Tue Oct 7 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up tp xmms-1.2.8j_20031004.tar.bz2
* Sun Sep 7 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up tp xmms-1.2.8j_20030906.tar.bz2
* Thu Aug 14 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up tp xmms-1.2.7j_20030812.tar.bz2
* Sat May 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up tp xmms-1.2.7j_20030502.tar.bz2
* Tue Apr 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Modified xmms/xmms.desktop
* Tue Apr 15 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Red Hat Linux 9.0
- xmms-1.2.7-21.p.src.rpm
* Tue Feb 11 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from xmms-jp (http://www3.big.or.jp/~sian/linux/)
